#include "global.h"
#include "InputHandler_PIUIO.h"
#include "RageThreads.h"
#include "RageLog.h"

/* XXX: I don't know what to do for Windows/Mac libusb. */
#include <usb.h>

InputHandler_PIUIO::InputHandler_PIUIO()
{
	usb_init();
	LOG->Warn( "PIUIO constructor called.");
}

InputHandler_PIUIO::~InputHandler_PIUIO()
{
	LOG->Warn( "PIUIO deconstructor called.");
}

void InputHandler_PIUIO::Update( float fDeltaTime )
{

}

void InputHandler_PIUIO::GetDevicesAndDescriptions( vector<InputDevice>& vDevicesOut, vector<CString>& vDescriptionsOut )
{
//	vDevicesOut.push_back( NULL );
	vDescriptionsOut.push_back( "PIUIO" );
}

void InputHandler_PIUIO::InputThreadMain()
{

}

void InputHandler_PIUIO::Open()
{

}

void InputHandler_PIUIO::Close()
{

}

void InputHandler_PIUIO::StartThread()
{

}

void InputHandler_PIUIO::ShutdownThread()
{

}

/*
 * (c) 2007 BoXoRRoXoRs
 * 
 * All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, and/or sell copies of the Software, and to permit persons to
 * whom the Software is furnished to do so, provided that the above
 * copyright notice(s) and this permission notice appear in all copies of
 * the Software and that both the above copyright notice(s) and this
 * permission notice appear in supporting documentation.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF
 * THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS
 * INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT
 * OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
 * OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 */
